Requisitos do nível da API de destino para apps do Google Play

Cada nova versão do Android introduz alterações que trazem melhorias de segurança e desempenho, para além de otimizarem a experiência do utilizador do Android em geral. Cada app tem uma targetSdkVersion no ficheiro de manifesto (também conhecido como o nível da API de destino) que informa sobre como a app é executada em diferentes versões do Android.

Configurar a app para segmentar um nível da API recente garante que os utilizadores beneficiam de melhorias de desempenho, privacidade e segurança, ao mesmo tempo que permite que a app seja executada em versões mais antigas do Android (até à minSdkVersion).

Para disponibilizar aos utilizadores do Android e Google Play uma experiência segura, o Google Play requer que todas as apps cumpram os requisitos do nível da API de destino listados abaixo.

Definições

Nova app Uma app que ainda não está publicada na Play Store (por exemplo, uma nova app).
Atualização da app Uma nova versão de uma app que já está publicada na Play Store.
App existente Uma app publicada que não está a receber atualizações.

Requisitos

Versão do SO Android

Quando é que as apps do Google Play têm de segmentar este nível da API?
Novas apps Atualizações de apps ** Apps existentes

Android 12 (nível da API 31)

1 de agosto de 2022

1 de novembro de 2022

1 de novembro de 2023

Android 11 (nível da API 30)

2 de agosto de 2021

1 de novembro de 2021

1 de novembro de 2022

Sugestão: para orientações técnicas sobre como alterar o nível da API de destino da app de forma a cumprir estes requisitos, consulte o guia de migração.

Requisitos para apps Wear OS

Versão do SO Android

Quando é que as apps do Wear OS têm de segmentar este nível da API?
Novas apps Atualizações de apps ** Apps existentes

Android 11 (nível da API 30)

1 de agosto de 2022

1 de novembro de 2022

Sem requisitos

Android 10 (nível da API 29)

Sem requisitos

Android 9 (nível da API 28)

1 de agosto de 2019

1 de novembro de 2019


** Para facilitar a transição para os programadores, damos mais alguns meses às atualizações de apps do que às novas apps para cumprirem o requisito.

Potencial impacto na app

Se as suas apps não cumprirem o nível da API de destino necessário, podem ser afetadas das seguintes formas: 

App

Impacto

Novas apps

Não pode publicar app bundles que não cumpram o requisito do nível da API de destino na Play Console.

Atualizações de apps

Não pode enviar app bundles nem APKs que não cumpram o requisito do nível da API de destino na Play Console.

Apps existentes

A sua app não vai estar disponível no Google Play para novos utilizadores com dispositivos com versões do SO Android mais recentes do que o nível da API de destino da sua app. Isto significa que os novos utilizadores não vão poder descobrir nem instalar a sua app a partir do Google Play.

Os utilizadores que tenham instalado anteriormente a app a partir do Google Play vão continuar a poder descobrir, reinstalar e usar a sua app. Vão continuar a ter acesso à sua app, mesmo se mudarem para um novo dispositivo Android.


Para facilitar a transição para os programadores, damos mais alguns meses às atualizações de apps do que às novas apps para cumprirem o requisito.

Perguntas frequentes

E se precisar de mais tempo para fazer esta atualização para todas as minhas apps existentes?

Compreendemos que alguns programadores vão precisar de mais tempo para agir em conformidade, pelo que todos os programadores têm até 1 de novembro de 2022 para atualizar as apps existentes. Se precisar de mais tempo para além disso, pode pedir uma extensão num formulário que vai estar disponível na Play Console ainda este ano.

Esta extensão não se aplica a novas apps nem novas atualizações de apps.

Tenho apps mais antigas que já não quero ter publicadas no Google Play. O que posso fazer? 

Consulte este artigo do Centro de Ajuda para obter instruções sobre como anular a publicação da sua app. 

Como vão ser afetados os utilizadores que já transferiram a minha app anterior? 

Os utilizadores que tenham instalado anteriormente a app a partir do Google Play vão continuar a poder descobrir, reinstalar e usar a app em qualquer versão do SO Android que a app suporta.

Qual é a diferença entre esta atualização da política e o requisito do nível da API de destino existente? 

A Política do Nível da API de Destino do Google Play acrescenta uma proteção adicional para os utilizadores ao incentivar todos os programadores a adotar as atualizações de segurança e autorizações recentes nos novos níveis da API do Android. A alteração requer que todos os programadores segmentem lançamentos do Android recentes para distribuir apps existentes para novos utilizadores em novos dispositivos.

Esta atualização vai afetar as transferências de apps?  

Não temos orientações específicas que possamos disponibilizar. Pode afetar os níveis de transferência da sua app se os utilizadores em dispositivos com versões mais recentes do SO Android não conseguirem descobrir nem transferir a sua app a partir do Google Play.

 Esta atualização vai afetar as linhas cronológicas de revisão de apps?  

Esta alteração não vai afetar o tempo de revisão da app atual e os programadores vão poder atualizar as respetivas apps existentes para os lançamentos em curso. 
A informação foi útil?
Como podemos melhorá-la?

Precisa de mais ajuda?

Inicie sessão para obter opções de apoio técnico adicionais e resolver rapidamente o seu problema.

Pesquisa
Limpar pesquisa
Fechar pesquisa
Google Apps
Menu principal
Pesquisar no Centro de ajuda
true
92637
false
false